W32API
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface W32API

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

All Known Subinterfaces:
  Advapi32, Crypt32, GDI32, Kernel32, Netapi32, NtDll, Ole32, Secur32, Shell32, User32

    public interface W32API

extends com.sun.jna.win32.StdCallLibrary

Base type for most W32 API libraries. Provides standard options for unicode/ASCII mappings. Set the system property `w32.ascii` to `true` to default to the ASCII mappings.

Nested Class Summary
`static class` | `W32API.DWORD`
`static class` | `W32API.HANDLE`
`static class` | `W32API.HANDLEByReference` LPHANDLE
`static class` | `W32API.HBITMAP`
`static class` | `W32API.HDC`
`static class` | `W32API.HICON`
`static class` | `W32API.HINSTANCE`
`static class` | `W32API.HMODULE`
`static class` | `W32API.HRESULT` The HRESULT data type is a 32-bit value is used to describe an error or warning.
`static class` | `W32API.HRGN`
`static class` | `W32API.HWND`
`static class` | `W32API.LONG`
`static class` | `W32API.LONG_PTR`
`static class` | `W32API.LPARAM`
`static class` | `W32API.LRESULT`
`static class` | `W32API.SIZE_T`
`static class` | `W32API.SSIZE_T`
`static class` | `W32API.UINT_PTR`
`static class` | `W32API.ULONG_PTR`
`static class` | `W32API.WORD`
`static class` | `W32API.WPARAM`

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static W32API.HWND` | `HWND_BROADCAST` Special HWND value.
`static W32API.HANDLE` | `INVALID_HANDLE_VALUE` Constant value representing an invalid HANDLE.

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### INVALID_HANDLE_VALUE

    static final W32API.HANDLE INVALID_HANDLE_VALUE

  Constant value representing an invalid HANDLE.

### HWND_BROADCAST

    static final W32API.HWND HWND_BROADCAST

  Special HWND value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD